Class | YAMLStruct
In: | lib/facets/more/yamlstruct.rb
Parent: | Object

# YAMLStruct

Takes a YAML document and makes it accessable via a delgate object.

Currently this only supports YAML documents with a map at the top-level. But this should be easy enough to adjust in the future if it proves useful.

### Methods

method_missing new to_s

### Public Class methods

new( stream )

### Public Instance methods

method_missing( sym, *args, &blk )
to_s()

[Validate]